Jump to content

Areas


CRAZY-88

Recommended Posts

this question has probably been asked before, but hey no harm in asking again.

 

I am using AutoCad2009, I need to do floor areas for a project that I have at the moment.

 

I know how to use the area command and how to convert the info in to sq m & sq ft.

 

What i would like to know is this, is there a lisp routine that will do it for me, as in if i click the polyline it will give me the info in text and place it in the area.?

 

This would be a great help as I have lots of single areas that I need to put this information on.

 

:? :? :? :? :?

Link to comment
Share on other sites

I use this from time to time... drawback is you have to click each corner instead of just once in the area....

 

;;SQFT Area Lisp Program
;;                               
;;Revised : 10/16/07
(defun c:rar (/    P1  P2    P3    P4    P5  P6    A     B
     C    D  E     F     PT    PTLIST      OS    ss
     ssl   wl  ctr   l1    l2    wn  wlist llist vlist
     bn    dlist dllist      dvlist
    )
 (setvar "CMDECHO" 0)
 (setq wl 0)
 (setq E 0)
 (setq D 0)
 (setq OS (getvar "OSMODE"))
   (setq l1 70)
 (setvar "OSMODE" 32)
 (while (/= nil
     (setq PT
     (getpoint
       "\nPick a room corner point, press return when done: _int "
     )
     )
     (progn
       (if PT
  (/= nil (setvar "lastpoint" PT))
       )
       (setq PTLIST (cons PT PTLIST))
     )
 )
 )
 (setq PTLIST (reverse PTLIST))
 (setvar "OSMODE" 0)
 (command "PLINE")
 (while (/= nil
     (car PTLIST)
     (progn
       (command (car PTLIST))
       (setq PTLIST (cdr PTLIST))
     )
 )
 )
 (command "AREA" "e" "l" "ERASE" "l" "")
 (setvar "OSMODE" OS)
 (command "redraw")
 (setq A (/ (getvar "area") 144))

 (setq P1 (getpoint "\nPick center point of text: "))
 (setq P2 (list (car P1) (- (cadr P1) 5)))
 (setq P3 (list (car P1) (- (cadr P2) 5)))
 (setq P4 (list (car P1) (- (cadr P3) 5)))
 (setq P5 (list (car P1) (- (cadr P4) 5)))
 (setq P6 (list (car P1) (- (cadr P5) 5)))
 (command "text" "c" P1 6 0 (strcat (rtos A 2 2) " SQFT."))
 (setvar "cmdecho" 1)
 (princ)
)

Link to comment
Share on other sites

  • 10 months later...

Hello everybody!

Is there any lisp or quick way to get the area from a closed polyline in to the clipboard memory?

I want something like this: click on a polyline and then just the press paste in another application.

Thank you in advance!

 

P.S.:

Sorry for wrong thread posting, i really need a little help here; I am using AutoCAD Civil 3D 2010 and I have more than 400 closed polylines and i have to check every single polyline area and correlate the value in Excel. I tried to use Civil tools, but its too complicated only for this task. Thanks!

Link to comment
Share on other sites

(defun c:CA (/ *error* p1 p5 p6 a b c d e fn)

(setq oldCM (getvar "CMDECHO")

oldos (getvar "OSMODE"))

 

(defun *error* (msg)

(if oldCM (setvar "CMDECHO" oldCM))

(if oldos (setvar "OSMODE" oldos))

(princ msg)

(princ))

 

(setvar "CMDECHO" 0)

(setvar "osmode" 524)

 

(if (and (setq p1 (getpoint "\nSELECT PLINE FOR CAREPET AREA: "))

(setq p5 (getpoint "\nWHERE TO PLACE TEXT: ")))

 

(progn

 

(setq p5 (polar p5 pi 1250))

(setq p6 (polar p5 0 2500))

(setq fn (getstring t "\nFLAT NO.:"))

(command "AREA" "E" P1)

(SETQ A (GETVAR "AREA"))

(SETQ F (SF))

(defun sf (/ sm sf st)

(setq sm (getvar "area"))

(setq sf (* sm 0.000010764))

(setq sf (rtos sf 2 2))

(SETQ ST (strcat sf " SQ. FT."))

(PRIN1 ST)

)

 

 

(SETQ B (/ A 1000000))

(SETQ C (RTOS B 2 2))

 

(SETQ D "CARPET AREA OF FLAT")

 

(setq e (strcat "NO. " FN " = " C " SQ.MT."))

 

(setq F (strcat " = " F))

 

(COMMAND "TEXT" "S" "STANDARD" "f" P5 p6 "275" D "text" "" e "text" "" f)

)

(princ "\n>")

)

 

(setvar "cmdecho" oldCM)

(setvar "osmode" oldos)

(princ)

)

Link to comment
Share on other sites

Hi tclaudiu,

 

mdbdesign's tools should cover this.

There is a feature "Area calculation of polylines based on color or layer. Results can be exported to Excel" in there.

 

I haven't tested his software, but I think it should do it.

 

If you wish to correlate values in excel, you should have a identifying number.

 

Maybee this will help:

http://www.cadtutor.net/forum/showthread.php?t=22874

http://www.jefferypsanders.com/GA.lsp

http://discussion.autodesk.com/forums/thread.jspa?messageID=1135957

 

regards

Wolfgang

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...